GNU bug report logs - #39344
28.0.50; Gnus: Selecting deleted buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 39344 <at> debbugs.gnu.org and Michael Heerdegen <michael_heerdegen@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 20 Feb 2020 13:35:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 08:35:25 2020
Received: from localhost ([127.0.0.1]:44036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4lzA-0006f0-Up
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:35:25 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4lz8-0006ei-RZ
 for 39344 <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:35:23 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4lyz-0003FC-Tm; Thu, 20 Feb 2020 14:35:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
 <877e187v2u.fsf@HIDDEN> <87blqkrh7s.fsf@HIDDEN>
 <m1mua47py2.fsf@HIDDEN> <87v9ole09e.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 14:35:13 +0100
In-Reply-To: <87v9ole09e.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 05
 Feb 2020 12:34:05 +0100")
Message-ID: <8736b55qlq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Great.
 So we are done, Sam? Is emacs-27 ok as well? Looks OK to me, so I'm closing
 this bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39344
Cc: Stephen Berman <stephen.berman@HIDDEN>, 39344 <at> debbugs.gnu.org,
 Eric Abrahamsen <eric@HIDDEN>, Andreas Schwab <schwab@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Great.  So we are done, Sam?  Is emacs-27 ok as well?

Looks OK to me, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 5 Feb 2020 11:34:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 05 06:34:20 2020
Received: from localhost ([127.0.0.1]:45169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izIwl-000176-No
	for submit <at> debbugs.gnu.org; Wed, 05 Feb 2020 06:34:19 -0500
Received: from mout.web.de ([212.227.15.4]:38613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1izIwj-00016s-DS
 for 39344 <at> debbugs.gnu.org; Wed, 05 Feb 2020 06:34:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1580902434;
 bh=d8fnFMlpr1+lsIU7IVB2XYFwkN21kONaGa/Z/nAEclg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=aGveFdYBPosWM6k+cLcGef3+Vt+b7BPn6qnNm24MyKIy3i9SEd/OAEHX2f/d/8Ifn
 BCpmrxMJbFd7h5guW3NcmDqDasCaBAaIOy8dIc4RY0pgbIiEsM77ttabGLLU+oOIX9
 +JcKv/j1ZMUh0T+Pp22Da9TAK6Wv+MCdax5H7N88=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.105.20]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MCeX4-1ipvGq2r9m-009RfD; Wed, 05
 Feb 2020 12:33:54 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
 <877e187v2u.fsf@HIDDEN> <87blqkrh7s.fsf@HIDDEN>
 <m1mua47py2.fsf@HIDDEN>
Date: Wed, 05 Feb 2020 12:34:05 +0100
In-Reply-To: <m1mua47py2.fsf@HIDDEN> (Sam Steingold's message of "Thu, 30 Jan
 2020 13:35:17 -0500")
Message-ID: <87v9ole09e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:mPiOvmZ0IcY4O6R4JgZhHvLWPLHK5BzoIRK8Vs7keUOQ1LKqWWq
 aj1vGUjPSXQlOggfvNYhrD5aIsIxi0sSEfK/Z1BSKhkyXszDPgCPSKHB2wLAXhYbuZg45Ui
 qad0tVNL614WzODPrN/v1ZVCKNjsGl0x/Moi3Kwxpfq69VI4iIGFdcLR0cl4pP2Ie/o6ky6
 UKrKX6RMjBuRcgLD6tvdA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fuQgbBAuGcQ=:c7ogeErjAJ1JBGtUmchnFQ
 xvikrzhmFZTxAwCigLsnA5Yo0kT8mgQcYb1gtYpmN6nMPAgpNUuVY1wjmV7cwVeUMeArWyLgF
 dhhtZSee28LxXoNQ5udmAHjQCcDLGfJiBoG64qX6mXSlwBAznRUrhH7NiGpGmYPg19uNNOwKe
 G5mX/IBnYyJdeshSGZKNhlh0t7vQYuBABqkN4JpfhXJsrgepaGh7QNrzdgDe0dvtpIWisZWuy
 2Fp0bHh96fO/GCWcCq8kwtiJV3FLIqj1nneDxUDoGbiKMBtbfQ0V6UPlNe2XFqIp66mYwPOlz
 gd3SMFTbipjls0Uv6bGhL943j3VHv8lyIItOj19oButNNdciuVFyV4rLmfMZMBI0rb02yEy1R
 svcyt+7c4rVfMBKzY94v2Fe7myPcmH9ryfeBskSv+IasAMm1uzpBZwTNl1jEE7m5YLBDLYot1
 JdQeno1AkRvgAZrBQr+h27cJAWPxGmQBayDQ1W5lIQMgZWazbTTVl1nipfuBrb/o8y3OdndJQ
 OvtAMkyPxFjTZAaQMkjs4wNCEPOBq0buQQCDEc3eZRD4pqghD9MBKgeKxdD9AtwHXfXiU8lL8
 Pt2s5MNoLIV0SummgFgcZ5bDVNE6NpxjOZjtB5soLpFKTtsSy7yHCzKC8fFdaSm/x7SSgMYkb
 5zETx1XSGr9bPDLPDhX0Pu0vyCWpggQxrrKhpNqKTMJnV3Bt+xLD0qeohCxojjTBhl5H0IdHH
 YYT9x3jyLI2fseO6WoLVwwrL61imOJmVr7GTCUjAUODbUJI6+Fgd60PJ2lW6btBZU1iiSsZbQ
 VQffPALh2D/6CD9Qcdv7TwGiiZAx4GyP5lYPBvGN01KPT3HvGMkoEzJgZ2d1ubSx8TWFGUqqu
 lVs0Uy8dDv1fUYi5wLTeUwArEijt1bY0WLJoq9M1Yni6OEqNxSlrQNhFyJeSxbYLwZlbq2a0Z
 s1cXYUn47xPs85bL1s3mEn5Nw3eupZtfO7/bl3IgazdPSTcCIvTPeLCPsjR5iufrLFLidqDIj
 fPalMSkuIGlPlC5OrDIcKDeKOueBzG2w3SBqUS3dln4YM6MWAZwyCpOUULBUXs2YFgsdpGjJF
 nuJ4+R59NTjC1Ow+0rQzZNsVd8YW+PucQTLziNbo4eY4GxzX3poIETxlN18d9pVy+6iiFO/O+
 RtDBZ+bazJjyZnK60o3a2WYxm2IAm0DoW/4WAO6RIusiDZzloIGD0hETo2FgXh/OXUj3Lyzb9
 ICNrQygwIOg4+/2fr
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Eric Abrahamsen <eric@HIDDEN>, Andreas Schwab <schwab@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Sam Steingold <sds@HIDDEN> writes:

> >> And can this report be closed btw?
> >
> > The compilation warnings are still in there...
>
> Should also be fixed.

Great.  So we are done, Sam?  Is emacs-27 ok as well?

Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 30 Jan 2020 18:45:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 13:45:29 2020
Received: from localhost ([127.0.0.1]:36250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixEoj-0005ZW-Bp
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2020 13:45:29 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:57574
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1ixEoh-0005ZJ-7C
 for 39344 <at> debbugs.gnu.org; Thu, 30 Jan 2020 13:45:27 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 6D8D6FA0F2;
 Thu, 30 Jan 2020 18:45:20 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
 <877e187v2u.fsf@HIDDEN> <87blqkrh7s.fsf@HIDDEN>
 <m1mua47py2.fsf@HIDDEN>
Date: Thu, 30 Jan 2020 10:45:18 -0800
In-Reply-To: <m1mua47py2.fsf@HIDDEN> (Sam Steingold's message of "Thu, 30 Jan
 2020 13:35:17 -0500")
Message-ID: <877e18rdfl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Andreas Schwab <schwab@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>, 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sam Steingold <sds@HIDDEN> writes:

>> * Eric Abrahamsen <revp@HIDDEN> [2020-01-30 09:23:35 -0800]:
>>
>> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>>
>>> Andreas Schwab <schwab@HIDDEN> writes:
>>>
>>>> > I pushed a different fix, thanks.
>>>>
>>> And can this report be closed btw?
>>
>> The compilation warnings are still in there...
>
> Should also be fixed.

Looks good to me, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 30 Jan 2020 18:35:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 13:35:37 2020
Received: from localhost ([127.0.0.1]:36238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixEf4-0005Kk-Ll
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2020 13:35:37 -0500
Received: from mail-qv1-f47.google.com ([209.85.219.47]:41658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1ixEey-0005KS-SB
 for 39344 <at> debbugs.gnu.org; Thu, 30 Jan 2020 13:35:29 -0500
Received: by mail-qv1-f47.google.com with SMTP id s7so1979231qvn.8
 for <39344 <at> debbugs.gnu.org>; Thu, 30 Jan 2020 10:35:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:in-reply-to:references:user-agent
 :return-receipt-to:reply-to:date:message-id:mime-version;
 bh=0ayn/hciaYTU3WPLtiaetW/9rYEF97KYVXdX3EJBl0w=;
 b=OgpgwmlXtxFxw6OPNCYvIKvt58f1O2qroYOEOAXu9BmTEDXgJ0ftHaZqZ2QhU5tA3/
 exVBoJ2dfS3r2qST4KcOyNkVYbTMmqBGA/ef/yptZjwEcdosBKycml3TIFMWVurSFW65
 Ogtlrhft+AteCqIwrQAt6UTNiYwaRhAGimkZ5ClFtC96VAISDAkeKnoCRIpVZluLdQwa
 aJBrPJiSAMGrZEQbaJNjpwZrzMq+3ad7gaH9LxXcWiKkqtoS1Whh4VkmJDh1fexxOttO
 EX07iv/wJvYVtE6QflOQCOStmBS5oS0Zbwf+QJ7r55ur1+GbZKAyKcrKBdeHCbe1AN/v
 07SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:in-reply-to:references
 :user-agent:return-receipt-to:reply-to:date:message-id:mime-version;
 bh=0ayn/hciaYTU3WPLtiaetW/9rYEF97KYVXdX3EJBl0w=;
 b=R4lB7nRd7VjlyeUdP8e2GnVt8KaoK2w1ZJMILEfQC9Q1yn8i71WZpCHfwT5NmFn4tG
 fK8UW01yu5WkgUtwQ2++xsh7tcqPJHPSukSM5UKWFYyMVomr/LatDuIFhAfmvnOQAX+C
 cG8wfnHk2uNvNZbQ3VMb/42KUtLU/KhbGx/2nnGBuAeCW1UKAI5pfVoBmQL4YfobqI2w
 uE3rRhXswj7UOmLIS8671K/1od/HChBFaYS6IKHgjW9K59Juf8KeE6fSePLbzzPzJ/d8
 H7tKj7JgjcLMk/lmLBIkoaswoUirTwd8qqeB99tLxlwYUIXiQk6QnAOg3OZE1fp/8y2k
 88QQ==
X-Gm-Message-State: APjAAAWPiRRtM4xfEbM81LdQVN96WZWH/A6xLyCl0MoFpsxaHTmqpepQ
 BSpSsF/bVgzqiuqH0laoGg==
X-Google-Smtp-Source: APXvYqxyMZTyAOb85wIot1aylITjBH5VpDP+0y+6e9QZmaR8l9LE7bnFEH+h99Qz/Kh3fLOb/5/JJQ==
X-Received: by 2002:ad4:580e:: with SMTP id dd14mr6144839qvb.84.1580409319311; 
 Thu, 30 Jan 2020 10:35:19 -0800 (PST)
Received: from BZ-C02XR5CGJG5L ([207.251.91.66])
 by smtp.gmail.com with ESMTPSA id 11sm3130217qko.76.2020.01.30.10.35.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Jan 2020 10:35:17 -0800 (PST)
From: Sam Steingold <sds@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
In-Reply-To: <87blqkrh7s.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 30 Jan 2020 09:23:35 -0800")
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
 <877e187v2u.fsf@HIDDEN> <87blqkrh7s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Thu, 30 Jan 2020 13:35:17 -0500
Message-ID: <m1mua47py2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Andreas Schwab <schwab@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>, 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> * Eric Abrahamsen <revp@HIDDEN> [2020-01-30 09:23:35 -0800]:
>
> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Andreas Schwab <schwab@HIDDEN> writes:
>>
>>> > I pushed a different fix, thanks.
>>>
>> And can this report be closed btw?
>
> The compilation warnings are still in there...

Should also be fixed.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1671
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://jij.org http://islamexposedonline.com https://iris.org.il
Sex is like air.  It's only a big deal if you can't get any.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 30 Jan 2020 18:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 13:34:44 2020
Received: from localhost ([127.0.0.1]:36234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixEeE-0005J9-IJ
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2020 13:34:44 -0500
Received: from mail-qk1-f179.google.com ([209.85.222.179]:35528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1ixEeA-0005Iu-1x
 for 39344 <at> debbugs.gnu.org; Thu, 30 Jan 2020 13:34:37 -0500
Received: by mail-qk1-f179.google.com with SMTP id q15so3952372qki.2
 for <39344 <at> debbugs.gnu.org>; Thu, 30 Jan 2020 10:34:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:in-reply-to:references:user-agent
 :return-receipt-to:reply-to:date:message-id:mime-version;
 bh=nEISAqAqlGkIbduK80y59KYrUaIZ73d1UrTV9K7AXzQ=;
 b=OLN+3X9KWAGyPat5rXmC2St2CIe/G3gSU59/x+YWib+d+fRLs5W/9RwtF0siukv/tr
 E4HOjrstJpkOemZ4YFwdw6WPZte4vO9fdu8EmWfGCljB3dtMPKPgMHiiAuyasxaS5cFo
 JVzmtvzm56mdMZqZXE0F1BaIhoDYlb/mRUB/3zjDh/xrroE8MU9cCBEaxsqYMdSIsINt
 r4UPJjsGOvUXGfmqeSmH3AKzBN++cv8a/beuhxJ6ExINKCmCiDSHCc9HeQN/cq8agGvj
 ls6T/kEYKwVNUYqJY8zGoZtYpYq1AIasXeIp7X0duXxyiHihGwxsAhuq1ma0uJXwhuK1
 N9XA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:in-reply-to:references
 :user-agent:return-receipt-to:reply-to:date:message-id:mime-version;
 bh=nEISAqAqlGkIbduK80y59KYrUaIZ73d1UrTV9K7AXzQ=;
 b=se9d+wpmRLiA/VqPJ+sdl1b4J6I2L1zLTscYVKutN5+82skgHGyuj1Cr9peTUtYDkK
 S83vMATdW51/pwxjA5naQWmXO725mmsBYaraEXVP/bdTdleqMVcLacUaQMXLC8h9rh/J
 IIM0L2OUZHBOI0YU+KBA4jxeWhmnrxospkWYFsgCW3Ckz8yxVqnF7q/GZvLi79j60RBV
 ZOK4fYlWCBI+Zdci6AKkva2xZ6Goo6Rw/y3X2lSmM4BZUSvkiOWhdQgaHaHXQ8azug1s
 7vkp3AKtPOnv2O848WImyb5Myl3PRYz2sa06A5OnuPeYHREdqnZEhar87jb1eWxPiN7P
 L1bg==
X-Gm-Message-State: APjAAAVesK09/70D4eigprvJtmMgI8CxpD0v8hxBp58fIjyGYzjKPSAt
 EyeshctS0f9ZgoxxKSLYhw==
X-Google-Smtp-Source: APXvYqwe+ViF3TPS7KLL/HlUeA8har6MtG7jiTcyyq+9I0LtX3SoBHx4VYsRgGC0B49iJXIJLPrQgA==
X-Received: by 2002:a37:644:: with SMTP id 65mr6738088qkg.309.1580409268176;
 Thu, 30 Jan 2020 10:34:28 -0800 (PST)
Received: from BZ-C02XR5CGJG5L ([207.251.91.66])
 by smtp.gmail.com with ESMTPSA id o7sm3173519qkd.119.2020.01.30.10.34.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Jan 2020 10:34:27 -0800 (PST)
From: Sam Steingold <sds@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
In-Reply-To: <mvmk159paaf.fsf@HIDDEN> (Andreas Schwab's message of "Thu, 30
 Jan 2020 10:23:52 +0100")
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Thu, 30 Jan 2020 13:34:24 -0500
Message-ID: <m1r1zg7pzj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> * Andreas Schwab <fpujno@HIDDEN> [2020-01-30 10:23:52 +0100]:
>
> On Jan 29 2020, Sam Steingold wrote:
>
>>> * Andreas Schwab <fpujno@HIDDEN> [2020-01-29 14:58:34 +0100]:
>>>
>>> Perhaps gnus-add-buffer should already deduplicate.
>>
>> gnus-add-buffer cannot add dupes.
>>
>> I pushed a different fix, thanks.
>
> Didn't you change exactly what I was suggesting?

I don't think so, but I might have mis-read you.


-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1671
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://www.memritv.org https://thereligionofpeace.com https://jihadwatch.org
There are two kinds of egotists: 1) Those who admit it  2) The rest of us




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 30 Jan 2020 17:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 12:23:44 2020
Received: from localhost ([127.0.0.1]:36209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixDXc-0003dj-0i
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2020 12:23:44 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:56098
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1ixDXb-0003dX-3o
 for 39344 <at> debbugs.gnu.org; Thu, 30 Jan 2020 12:23:43 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 422B9FA0F2;
 Thu, 30 Jan 2020 17:23:37 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
 <877e187v2u.fsf@HIDDEN>
Date: Thu, 30 Jan 2020 09:23:35 -0800
In-Reply-To: <877e187v2u.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 30
 Jan 2020 17:44:25 +0100")
Message-ID: <87blqkrh7s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39344
Cc: Andreas Schwab <schwab@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 Sam Steingold <sds@HIDDEN>, 39344 <at> debbugs.gnu.org,
 Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Andreas Schwab <schwab@HIDDEN> writes:
>
>> > I pushed a different fix, thanks.
>>
>> Didn't you change exactly what I was suggesting?
>>
>> Andreas.
>
> And can this report be closed btw?

The compilation warnings are still in there...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 30 Jan 2020 16:44:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 11:44:26 2020
Received: from localhost ([127.0.0.1]:36194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixCva-0002if-Mj
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2020 11:44:26 -0500
Received: from mout.web.de ([212.227.15.14]:60393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1ixCvY-0002iP-Rb
 for 39344 <at> debbugs.gnu.org; Thu, 30 Jan 2020 11:44:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1580402657;
 bh=+FLzOAXUccOJaKHtolMzFeMmwoRrYSBiNntDqUYTeMY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=H28K5NBH1KaQJE3wEUyk8gGjuDzL5+dOo0uJ1lHdtrKzF97P2osYb4Y1fn5aDeFdt
 d6eORbxSuTCr+4axkkNo0F9XnvW4bPWusxNaDK+CD9jrhI5+udLbPZdr89108QiAvW
 tMH2W/eWfVPIcwL4r0azx/zvTkO15/vIZMwM2X5Y=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.105.20]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MDPI5-1in5Vk10Ll-00GsN3; Thu, 30
 Jan 2020 17:44:17 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN> <mvmk159paaf.fsf@HIDDEN>
Date: Thu, 30 Jan 2020 17:44:25 +0100
In-Reply-To: <mvmk159paaf.fsf@HIDDEN> (Andreas Schwab's message of "Thu, 30
 Jan 2020 10:23:52 +0100")
Message-ID: <877e187v2u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Y5CQrySyUUcwc/vZV1NWryf5ACY5TNk4aMDDZ+gvxLEu8aoIMG2
 QuA8VSygy3Kc7+JyTnbmnQ3xv18NLwpUNW7vv9sJnEVpaThzrUy8EjNe4EdWDRtQYq5EWBw
 t2CrqYVRA0nopiMBhdNsi27Q2GHLPITvuUjbH25b9xh0i8+EwbqNyoFSbku4OOjqTaNGJkW
 /wjcLJyDJtf2O6sL/jmww==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:6W9Gv6hjkUY=:GCOG1Bhj0ZiX618N+ge+yo
 GZ9RytVuOCpGhypvy5JTbllP2jvNKL5oMA0bfmmL0cqv9KnvNoNbX8A6r2JfWLeSaxEQ7AaZZ
 6BBR/D9dG8Z+nL0bmegN6Ipl5ADeudDOAfdTbK1tX/kBkEv0EetUT8OFG6PKEmUmGMhCAUxlJ
 +B6XRqGPJuSZZC0TxLHK/ZpWBnwk1/WGJUGBWYy78ri2uVQP3eWkjTkqUNO1d2THt/yrncWAS
 17FfsA4nlW6uE//BvRZgBVa/g9rBZsvbapoix+L/KseBDLo/T1KTil5gCulX57mZEM8cXZ+jU
 wkh1ePNIbHj4GczXD0ZRw+bQ6eDqqAgePVeriy/qnLVP0GHsECrvdQkd/euMv71EnXJEe5X6O
 q2IfqOGWtfWzt8Yq3OfXW7CPXAIquP3DNobvYvULe4gzIJiZHV5JClsvZOjOsCA7gyHAyTLPu
 /CZpAPg5yZa2I3puvX24B1d/52MYBCcEzDp1yUuCtad4GMfxfD+jmMytFfeW4/iH6yjczenZC
 8z44tf84QR/V6lv66nh3aC+NQ232gRRfURTqeoHu1zsuedZAIspspbCPiXy/73IBGmTXOG2mK
 PMg+gSC+4eMMpd3mtgCrGF6SfK47avJILEdy9iDhSeGzcdg/t+tCvQifoo3ZR1V0H2J5g/N3Z
 XmhT7iTEgI7P3x7YLoHLFmkUTA+9+kHaMowuk8RDNYCR104Gsbf0LW02UCUxUf7JkFUTJh6td
 HZVpdLPx3vZ6s9LOzlihZgVSkWo3n5WCdCdiLztMs2JeYktYASnstag16CVkMPjJiIjjxGQ/h
 V7YDzHVe0SrwtnISLuPBjCcm6ZQPOoDNwgdCzS7IR7RUTihwc2w6I2xxBvlsBdV+gBB2kAxAY
 aT4LdQV4MxpHS4Ve3yVUa1KQiFH8dGRM9hsmEHcZKSEsGS9+AifG46pxVwLUDThkl2rK+v+TJ
 nkLlGuLSYydKZjs5AgU99QVdCayTyE0kqwvsPo0hzSnU9MQPoFiKUKoJegfIew61hf+d6yeOw
 WqQ6WwAetB2am6we0EvL2HOCY50uJZNrZlTnPSUruUlhcbASepoUB8iKAvXf2XNt35ud6ZqoR
 rLMcVEr4yUf9N7hBfGCfVt5HEv0jfU56DY9hSFTwNkPwdtWZCiSdUKxTjXTEpO1/rm3k/lRfi
 OTS8j1CCtRcWZn3KW4dmCV7DsxCs2zNI3/tp22o58933sCWT4VcDsr6vyYq6vNE6+Xq1uYm+B
 iXlFq/A8qsNznO7QE
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Robert Pluim <rpluim@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org, Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> > I pushed a different fix, thanks.
>
> Didn't you change exactly what I was suggesting?
>
> Andreas.

And can this report be closed btw?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 30 Jan 2020 09:24:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 04:24:02 2020
Received: from localhost ([127.0.0.1]:34920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ix63O-0004pw-3T
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2020 04:24:02 -0500
Received: from mx2.suse.de ([195.135.220.15]:49334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1ix63M-0004pT-BQ
 for 39344 <at> debbugs.gnu.org; Thu, 30 Jan 2020 04:24:00 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (unknown [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 6FD9BB159;
 Thu, 30 Jan 2020 09:23:54 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
 <m11rri8a55.fsf@HIDDEN>
X-Yow: Two LITTLE black dots and one BIG black dot...nice 'n' FLUFFY!!
Date: Thu, 30 Jan 2020 10:23:52 +0100
In-Reply-To: <m11rri8a55.fsf@HIDDEN> (Sam Steingold's message of "Wed, 29 Jan
 2020 12:06:46 -0500")
Message-ID: <mvmk159paaf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Jan 29 2020, Sam Steingold wrote:

>> * Andreas Schwab <fpujno@HIDDEN> [2020-01-29 14:58:34 +0100]:
>>
>> Perhaps gnus-add-buffer should already deduplicate.
>
> gnus-add-buffer cannot add dupes.
>
> I pushed a different fix, thanks.

Didn't you change exactly what I was suggesting?

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 17:07:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 12:07:03 2020
Received: from localhost ([127.0.0.1]:34537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwqnp-0000Z4-CN
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 12:07:03 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:46198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1iwqnn-0000Yp-Gp
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 12:06:56 -0500
Received: by mail-qk1-f171.google.com with SMTP id g195so17705043qke.13
 for <39344 <at> debbugs.gnu.org>; Wed, 29 Jan 2020 09:06:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:in-reply-to:references:user-agent
 :return-receipt-to:reply-to:date:message-id:mime-version;
 bh=g9rtlt0tImZk0qeiQkBPGy0QqwzbvOSfUfzG+vdsna0=;
 b=VMp8LqZmjyv0AYvwyDcISmFwMuvrrJ4oyGcOYiz0bFRpimvWLbFTKPel5IxNCxRPVr
 bohAKW4sQDm/nyHyPYuQL4BTwIZDY+JTwbMuBzLLUOfqMorbbHaUFqduqI95ecGylHuz
 GjoSXvW/9w3Tsvhh64TlaybTNG/diU/B2agzprZ7RNSIOPcqJ4e3V/R9G2XLD4PmvbLv
 4f7nUf0XTnPUvDj2YvTrJNANw41b2C3HuWEmTrPIt9ZyGXHkwIOiPE4G6TN+PNzTqUfx
 4uC8B9i3Z0Z7u8/SwMGGgaLoOiAFR9EfgWcso4OPWGAsaYWFU9XK8HSb/QuEFM5COeL2
 BCEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:in-reply-to:references
 :user-agent:return-receipt-to:reply-to:date:message-id:mime-version;
 bh=g9rtlt0tImZk0qeiQkBPGy0QqwzbvOSfUfzG+vdsna0=;
 b=Y0jvamXQ6Wr4lztDUFzKwqPWuQQUArY9+9uOyAeuAwb4OAivHDFUpBOlXBoMC2t2bO
 c9YEOy4zfSqugETJ2wEBz3ujn45/jNRb5inorpF9Fgw2jBKLVe1YLmBnDsZX3SpSDuPG
 2fMNKEgY0iVA/XcTR1kYVVGdm91wOA+xofpM3u4OnHRP3yxCbHPx4kdjCVmM+Jef74f1
 m+9EiHi+7xt9JxbdgGJNNVvH2QVRvupwK7Obb36HHKJIu8KxA+DSlg9fBb/gyc+uGy9P
 Nu1yDScpsgHsjOmEqXMsdAmhY6lqbHkdFnapMVgzaYe0IY1yoK25vcfzMQrorqXeo9hs
 rH9w==
X-Gm-Message-State: APjAAAVtIzS4qY1Xt2mvMnJHTq8htXoQnzmkaBlM7qEog7SbUvTktgQs
 yWdwtnQnLNPQkddEOEz6Mg==
X-Google-Smtp-Source: APXvYqxRDtQef4vY9O1A14ykJRvlGDT/80D3eMxPFsc6WmcmA1gRgJNZ3S636PlkIJvsqtXO+hfzuw==
X-Received: by 2002:a37:6458:: with SMTP id y85mr701000qkb.182.1580317609707; 
 Wed, 29 Jan 2020 09:06:49 -0800 (PST)
Received: from BZ-C02XR5CGJG5L ([207.251.91.66])
 by smtp.gmail.com with ESMTPSA id l6sm1389741qti.10.2020.01.29.09.06.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Jan 2020 09:06:49 -0800 (PST)
From: Sam Steingold <sds@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
In-Reply-To: <mvm4kweqs8l.fsf@HIDDEN> (Andreas Schwab's message of "Wed, 29
 Jan 2020 14:58:34 +0100")
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Wed, 29 Jan 2020 12:06:46 -0500
Message-ID: <m11rri8a55.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> * Andreas Schwab <fpujno@HIDDEN> [2020-01-29 14:58:34 +0100]:
>
> On Jan 29 2020, Robert Pluim wrote:
>
>> So one of Gnus' buffers is being killed in the middle of that
>> dolist. The only way I can see that happening is if the same buffer is
>> in there twice, in which case the following would work as well.
>>
>> diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
>> index 6df26b4af8..2fc14c5fff 100644
>> --- a/lisp/gnus/gnus.el
>> +++ b/lisp/gnus/gnus.el
>> @@ -671,7 +671,7 @@ gnus-kill-buffer
>>  
>>  (defun gnus-buffers ()
>>    "Return a list of live Gnus buffers."
>> -  (setq gnus-buffers (seq-filter #'buffer-live-p gnus-buffers)))
>> +  (setq gnus-buffers (delete-dups (seq-filter #'buffer-live-p gnus-buffers))))
>>  
>>  (defalias 'gnus-prune-buffers #'gnus-buffers)
>
> Perhaps gnus-add-buffer should already deduplicate.

gnus-add-buffer cannot add dupes.

I pushed a different fix, thanks.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1671
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://ffii.org https://thereligionofpeace.com https://iris.org.il
If you know that you know nothing, you know too much.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 17:01:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 12:01:01 2020
Received: from localhost ([127.0.0.1]:34528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwqi5-0000PU-Ee
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 12:01:01 -0500
Received: from mout.web.de ([212.227.17.12]:37019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iwqi4-0000PF-BW
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 12:01:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1580317251;
 bh=hkAV5Yh8pH7OTaqR22flo1A6j9DqycfYfHDcqTAYIbI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=DlTfWEXsXK6nxqHij9ATSVbRXxdhonyq85x6DIc0v2VBexeIusfN/mk1ZHpuvTBAq
 DbGVX6K2bQPGICUaZOesmK8UXn2IJHoeKoKAe9YEzGYgCPtlwdbfKPEitPGYEVP12L
 R4LIFBQ6sfC2spPtvR1X9JRp6SQjbU9tWRhN1G2Q=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.105.20]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Lpf3q-1jT93l26VC-00fTmq; Wed, 29
 Jan 2020 18:00:51 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <mvm4kweqs8l.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 18:00:59 +0100
In-Reply-To: <mvm4kweqs8l.fsf@HIDDEN> (Andreas Schwab's message of "Wed, 29
 Jan 2020 14:58:34 +0100")
Message-ID: <87a76642pg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ua38xLVu6258rcD5niR9iyrdXgD0h/euhlUAH1GSh7u/kdd+xBe
 4srbAIrWklm1N24v8X54J2NTFYJEMP8cHRSTTZgpJInLtd6aRC4OfVNwKvBiF1u6GSm//r6
 MAcRbdOxPrLUjnNci0ozFHxwmT536CvIhm29vW/Aq8JD7JvPhiuPCVGfUD3EIL+I8IVS3eV
 Q6wzYqT73iStStIm+5mrg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ChQBr7lRKrw=:teclRkN7c1/4MYRE3Vl7Cv
 rvMTaXqrTNGGHvspAVwWk1C5GEuhV6EKJPqUPTFBbSFU+KEtZNoW4033N6Vzhkriv6kqa3MTZ
 sDFAs5QVWzlXW/syD2NbME9MoUMkaDrft609EMaB+eABGFGJYgq7uCuPmSMVbG3wE6KDMR5tF
 MXox/sXlYHHurF4mW+RdxikU090IG/O1gmFOnErfS9PrpIuxEAGdwPN06+gEQ7pefA4eQwVbG
 6wA1reiJLTtJFiON1DxE5zWbCA0BOQ1sEM0z+8Y84kQ5GEMbGEJj8WT1USON9OMuCE2So1nOj
 6QHNVC1k3ugjIBpigeUWPSwk93gXDwGjxRHE/MkGk2ART/wf9vK4nUTxlYHiixJTbDIBqGpet
 VU3ZU2BzsWTFuwsH7OcJH8ca3YLIplOzD6ofEabJZ66MENqjTPoO9oQZOUThrGlAw0QyWJCWm
 AadKWMMjWw1wDrIlGBKxcIDIPryNUNMZ/gnD0fsY+XGwGeDNfwIv4CZzAlFc38oYl+dW/wyT+
 Fzm2MXgt34dt5CCAt6HpyDW1FY2C6mOnxfrvnZ+Ua0Lae3I2mDHVOnFHwwryN0iS+64SAVsnm
 EfLpCjpfrA48eLz6kf5RhirHhu5Jq4j3x60ir1HMSduo4KE0wN0M/QOUWI4bG4lsX6nZUK2nl
 gvGfpXfBR/IdMaRoQwG2xhBseNGu2Mk6+PQI091+kN0n8Na6Rq7//aUoWeYhyoXACG7IJ6vNE
 3PgYFIgWCpjXHikq8oQhq+oZXe7YLLj2Bd6O4WtvKyBYzkznhXbBFinvzs8SuR4RWl4SFZHBh
 yllXYBf/c3q0soy7bGQCUy9IcdPsw1f3xfWBR8Fp/+67vgSAldsdXnxpPXNoKv8Agy/5Hbfb0
 sz5h3UL7lqmZVWwrlebP+t1iXpQV+yQwoPA4SBgIILiP+wz+WAJ3NCSvgasK+N05A9v5GsUBB
 jkfNB62/iVE8nLZDqISuZjG/PkzCka21yCbKpMxfVumhv66UkDqWy2p1DZZ9f+szCy+rmW1E4
 ifj5oA0krulP8xDxj7OC3YoXtDgFueG7+CrI+Nj8G1iCbohHx5hF1VxcRliRgmp+st8MhCJ1T
 mwfvQJ1yiFn3b+NQAtYhMyr/ySb2rSazqDnLSnZxop5fVtAZL1+og1qsxFWll0ATWwNozLkPq
 otQiLHhD3L4QuKg3UX8ck/m4DrBMMsSPceTTzczpxVQ1Ve1QARo4Oy+RUgNXhELz/fekNkhRW
 YPo6e3HFkH+zhaYu7
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Robert Pluim <rpluim@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org, Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> Perhaps gnus-add-buffer should already deduplicate.

Seems Sam has done that on master.  That fixed the problem for me.
Dunno if there is anything to do for emacs-27.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 14:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 09:40:57 2020
Received: from localhost ([127.0.0.1]:33433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwoWX-0003Ce-LO
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 09:40:57 -0500
Received: from mx2.suse.de ([195.135.220.15]:38984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1iwoWW-0003CR-LO
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 09:40:57 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (unknown [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id CB894B2FD;
 Wed, 29 Jan 2020 14:40:50 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <87o8um9xj6.fsf@HIDDEN>
 <m24kwegy3i.fsf@HIDDEN>
X-Yow: All of a sudden, I want to THROW OVER my promising ACTING CAREER,
 grow a LONG BLACK BEARD and wear a BASEBALL HAT!!
 ...  Although I don't know WHY!!
Date: Wed, 29 Jan 2020 15:40:45 +0100
In-Reply-To: <m24kwegy3i.fsf@HIDDEN> (Robert Pluim's message of "Wed, 29
 Jan 2020 15:02:09 +0100")
Message-ID: <mvmzhe6pbpu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>, 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Jan 29 2020, Robert Pluim wrote:

> So now all we have to do is figure out why the duplicate entry is
> happening

See gnus-add-buffer in nnmail-article-group.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 14:20:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 09:20:12 2020
Received: from localhost ([127.0.0.1]:33374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwoCS-0000eU-3G
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 09:20:12 -0500
Received: from mout.gmx.net ([212.227.17.20]:50399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iwoCQ-0000eB-HL
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 09:20:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1580307603;
 bh=h5HbFsEidTbAZcFnaCtEjm/L0dSD3HW5QgGVfL1vpk4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=UV0VvJ8ou5HTWd5897kaEUhaCQq4krp0t1edZNsk+G0o3IdQEA15Sw/tUJ4MmHH0y
 acGgUUBethjaIyvcLxG6hurAxjJqujqkqkorY51ZoLyNgNrdrC8MsRJzEk2iyPxN39
 BdN+UCN8uYcfZLiQJFcgwD1UCtV2a9ta0xbt+dgA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([178.9.100.209]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MIdeX-1ikRrq12Pd-00EfJQ; Wed, 29
 Jan 2020 15:20:03 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <87o8um9xj6.fsf@HIDDEN>
 <m24kwegy3i.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 15:20:01 +0100
In-Reply-To: <m24kwegy3i.fsf@HIDDEN> (Robert Pluim's message of "Wed, 29
 Jan 2020 15:02:09 +0100")
Message-ID: <87k15a9wfi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:IYKulzw/B2xnwizLN9+vaKqWjI0slaz1iCpWJt6U7nsW4fdt6Zc
 G1e2N9TGdS7n54hBpNi5vDCD7R19sQU5+zDZbCLYNr5I6wV+9MiHZxPBEzDE+oS1fMzLlNx
 g3l3Yrz9Agpeb548CTcgc5aZaRKQSE9IO5pL3rU7vLDTiuy0TsqiDNz449QTaqiHmZW7nGi
 2YQxc398D2lr/Y8ojv3Kw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kAhrmPsdQVA=:szT1s5hMo0uMEUpnxBEph3
 p18lBODX+tdYYvN2WuwUemokgayI/iPxSq4uEc94IPk3bbFgDHxxIwnwjHPIPF/Zrf1H8TUQe
 N3Ro0/FMH7Y46qDs8ZZm9t6KnBvkzTSX0NVW5ZKEjtAqGsl1D/75JZBzmGNCIdT/6UeS1puba
 njoQYqZdMfWRBR2T6JA+Lek1dTK9BQkqbdz90nbtOB3C17ndxct4fMmIXQezYfF1XCRVooUfy
 2w4SnxG0mDwOp+eo3md9osdNNJe9WrPVkVnDwCRs6M/l2EwuHHYZ/vz5KywBLR1Pq7SmbSn09
 rDsQl7HerGeaUtNmMY0BDA9eJ7socEN6oYRsMVyVKqqy135Gw9xI1TnupZcRztVsnbOGeu4A4
 ySNo33CrXdt1ES7cdUhVlUebG5ZVm/WHbgCuxXd4YAEiGGr8i/H4zb31k4uX2PFz80zMywaLa
 GwLUyWP/ehCHvWFqhXY4ZPfj68tHjKy+/zAIda3YNjT9FWyQBmTA9IJOOPp1v7i/sTawZQwpk
 jPhGmpwo+nA0j9AAuS3qPrXpC2RwXZPiWzHYZ8IpuhxpyUmN8B3d6pZGeriC/URi+yhu7MjzG
 acH5aStYb7qCzrIP6DE6a1hMUA8MvMSTYMKI90ItDP64G6bvhw64yD4R02urWsj4iSNGtw7oM
 vAJW7GhrDL1V6osm98i0T9IwE+t32XM6LrAD25Rqrx7NsWpOznMnM7JNW9Jyfm38pW0Gdrbw+
 MHSR/R+EQG1Clu8RJIU6shPVNPQ3TkToVGdVREh9/8U0HUpr6UC2UmONx2XWkh8bGBfyzG9qV
 KpcSz9eGHESb2tOk72dQylT+7cqTY4DZwYwDtGwMqdmn4gZwXLi69RSuI/HZsRj/TbtjcINrU
 1stANeo1gl5LUkcdeouN0Q4EegIFgRCHlf9tPHPou8pjyI29lSwKdS98+UX/3+noQCiHTb5DJ
 Lh69KJyVWOoG+u3rtIMKONt4u/YsHG8GGxfzGoFvEKea4RqQ0sISo5CZ7Vqz53InFBRH2HVEN
 iZBYoz0liEKy7EFzIf9l0uAzCegdp5lhqlGv1HddBg57C6Nw3TQrm5G+n2qFNCxykAxke+ms6
 UzB01jnGhrBmYMkTAxwP1X7liyrhJS6M/HiURJivYIKrEXeN0lnEVHbk3tsQYpB1s1k9opyiB
 O/Bvo1ZdoqoUjzd1v8n5JT/V4Jo/Fbe9dXw9QHYbC73K8GicVbsptQaq9++v1LuQfVBveziFc
 W8aEiUaJi36XNKyYL
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 29 Jan 2020 15:02:09 +0100 Robert Pluim <rpluim@HIDDEN> wrote:

>>>>>> On Wed, 29 Jan 2020 14:56:13 +0100, Stephen Berman
> <stephen.berman@HIDDEN> said:
>
>     Stephen> Yes, that seems to fix the problem too.
>
> So now all we have to do is figure out why the duplicate entry is
> happening

Or forestall it in gnus-add-buffer as Andreas pondered?

>           (or just apply one of the two patches and get on with our
> day :-))

BTW, gnus-kill-buffer at the end of the dolist looping over gnus-buffers
also checks buffer-live-p, apparently redundantly here (though there are
46 uses of gnus-kill-buffer and I haven't looked to see if they need the
check).  But I'm afraid I have to get on with my day now, so feel free
to patch or further debug...

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 14:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 09:02:21 2020
Received: from localhost ([127.0.0.1]:33363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwnvA-0000Ee-Ud
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 09:02:21 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:33634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iwnv9-0000ER-H8
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 09:02:19 -0500
Received: by mail-wm1-f44.google.com with SMTP id m10so4183348wmc.0
 for <39344 <at> debbugs.gnu.org>; Wed, 29 Jan 2020 06:02:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=3A3w7L8MsG/r35oM7NvQ3aVamdE9bwRcbazVad796Dg=;
 b=daMls0eSpw5hukuoauY0wnMbDreM3FRG/bpW+YDkidBrTyQk1snGiePx07GKIlGINs
 aymRuMMkjR6A2RhUqX0w6UZAb1YVGMz5bHyj05fMmPScAwe7AnBXnQnK68ZNKvuka9k6
 DRLivhBwTQXgFtHdBXXwt45QbZ+2F2luOXGcAKikQfjNFf+hLYxy+m9xpg/LMMlXYKL2
 UinSijHfX+a9tmRCAPHDgotrOlssSttvyBWebWhXuBV6DQXuX/Lz00bqPujX+lnjE/hv
 dRoDjdYlwGn8jxle7DUKjfNfBVqY69c++72WVeuMQsf5+UyGh6u24RH27kF4mCA+eWKK
 qQpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=3A3w7L8MsG/r35oM7NvQ3aVamdE9bwRcbazVad796Dg=;
 b=g4I0pNbo4xczKH/tsqngKMt5UmQnDZqwn2Gj3TxeQeIW88BJ9XnsjhB83V9oguVgnL
 +dHw9MhawH8pQyN4oHH0DRQVqofBGjqOJiLUXd3UQJ62PxEnbbXx6Ila5T/Z/Epm2v1i
 tRtwgCPF+pGLo2JHmV3a9P6FM3EP9qclnR4Xn3QNan5zF/EoJi/wAm7O2JevRZIX8WVJ
 1q5sv0UIghxH1msdY0GSWjzKfCn8XDlVYdbQeaDrpoLzocU7m8Kv4VfZ0RqXgutn2Th7
 tOlzUwhOiuXhn5cr3WdxlSPTuRa1p1K84bgVtsnm50QNiHACZ/GI8k/vmtkMNhDzbzR5
 yi+g==
X-Gm-Message-State: APjAAAUkWH+FSiL3OCSJDJeDSpAbRgu0atBNGjLymzj+kcvmPbHpjWN7
 UyK6FcEWw19CH0v4CFIRbtuwpBIu
X-Google-Smtp-Source: APXvYqyRYtEZBP6YQpx3lut95IVoufJHLe+jdnG4FRvP61cdbU+S/61C4/S5GAvmIysDXpJjeWJ2vg==
X-Received: by 2002:a1c:740b:: with SMTP id p11mr12227237wmc.78.1580306531203; 
 Wed, 29 Jan 2020 06:02:11 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 11sm2592820wmb.14.2020.01.29.06.02.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Jan 2020 06:02:10 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN> <87o8um9xj6.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 15:02:09 +0100
In-Reply-To: <87o8um9xj6.fsf@HIDDEN> (Stephen Berman's message of "Wed, 29
 Jan 2020 14:56:13 +0100")
Message-ID: <m24kwegy3i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 29 Jan 2020 14:56:13 +0100, Stephen Berman <stephen.berman@HIDDEN> said:

    Stephen> Yes, that seems to fix the problem too.

So now all we have to do is figure out why the duplicate entry is
happening (or just apply one of the two patches and get on with our
day :-))

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 13:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 08:58:41 2020
Received: from localhost ([127.0.0.1]:33359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwnrd-00007a-DJ
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:58:41 -0500
Received: from mx2.suse.de ([195.135.220.15]:48310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1iwnrc-00007O-D1
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:58:40 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (unknown [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id A7568AD85;
 Wed, 29 Jan 2020 13:58:34 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN>
X-Yow: I HAVE a towel.
Date: Wed, 29 Jan 2020 14:58:34 +0100
In-Reply-To: <m28slqgz0d.fsf@HIDDEN> (Robert Pluim's message of "Wed, 29
 Jan 2020 14:42:26 +0100")
Message-ID: <mvm4kweqs8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>, 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Jan 29 2020, Robert Pluim wrote:

> So one of Gnus' buffers is being killed in the middle of that
> dolist. The only way I can see that happening is if the same buffer is
> in there twice, in which case the following would work as well.
>
> diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
> index 6df26b4af8..2fc14c5fff 100644
> --- a/lisp/gnus/gnus.el
> +++ b/lisp/gnus/gnus.el
> @@ -671,7 +671,7 @@ gnus-kill-buffer
>  
>  (defun gnus-buffers ()
>    "Return a list of live Gnus buffers."
> -  (setq gnus-buffers (seq-filter #'buffer-live-p gnus-buffers)))
> +  (setq gnus-buffers (delete-dups (seq-filter #'buffer-live-p gnus-buffers))))
>  
>  (defalias 'gnus-prune-buffers #'gnus-buffers)

Perhaps gnus-add-buffer should already deduplicate.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 13:56:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 08:56:24 2020
Received: from localhost ([127.0.0.1]:33355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwnpQ-0008VW-0o
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:56:24 -0500
Received: from mout.gmx.net ([212.227.15.15]:51075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iwnpN-0008VC-NX
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:56:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1580306174;
 bh=IYdYZM0bimridPYpwONkXuDutORycxuDyigMV8iEeow=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date;
 b=gOcM2+AH7OLMRJpHggskuTqSZpVtNbPBeTKY7jCNzfsw6FgiUhMPAMzPo0BzgINc+
 RV5PTHPntJH728O5/7vMN8zpLQX7gllmQelbx7ww7/BqOoCyS0EP3tdV0YLRzINJ3U
 LzzeiTR0bByUM0a4YacsA/MgsHhcg/QljffIWwlI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([178.9.100.209]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mr9Fs-1jKMG01sn8-00oD1G; Wed, 29
 Jan 2020 14:56:14 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
 <m28slqgz0d.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 14:56:13 +0100
Message-ID: <87o8um9xj6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:AEfwMeOPuMZZ7f5GoHt5n9aKMp0V3FzlAZkvQDhTFEbiHD08irk
 DxH89fmtbeHGWNW7b2aUCKWOZcYsls+JbHYXxm3AQLYgxBqrXV7XYq5B8Ob3egSfvOVsNkc
 OUEJOySz+b76il9/iS+AMm8t2SSWblVgdbthrGcNrl9ahEDi4iLy7KopO6bimtoye5wAD1I
 F0foX12ix2W8UUPqXq3vg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8RwBYs96UMk=:GX7U3mxE2CBpBNuFDY64FR
 F76ojSAr2Df/4Mkij1zLURB7Xp3GnhT10bEztvOnqb/TQMUHf/pyZW2Hsm9eQvPw9IctHz/Bk
 uI8+FWzABQuM/5Xwhmuhd0d1jphSmehJkanQgWuckTT4lOCy49OFyWnlWNHbHDQZpG1TVtE48
 2gmRNqFFle2OSalHqsC0m93cZUz9oXHX+Hrz4Vhu/AVDKAAVJmtdkgqnxTjaZ1OrtqJ6MPC/0
 De1jkBHzqxw1Tosg1w6S3sxSuyICu0RSMwIuQV/Eiz2D/kpowpyypOlTmARn7y76MugKOIWeF
 2I0m0Roe86lj8IC3NvH7Tf/XHC1rP/zd3dK4+LbCCnpQVDkf8zo+NVFNYTn6K8cYOf9KJ2R01
 onru6KcLz8TXa2+RR+OM8B2yJT8Uzie25vq0gSf48xFIlkJPGOc1HFua8X6FBFjVXuu6bs5w0
 wNVnb5mrEqv0o01o37LvM/Wpx9Y8PrMkYwkza3tTaDcxGgG3vThB6hRKcCaoP93u2A2p3k8zt
 uk9nKY4QaL9Bpw8o/5iEAlvBH6EF8d+1y+0jv9X3rrxSISUWm9JRVpJen052qLAgqVMM1OQtX
 72nWmUF2nWXRTjMMzqbHYsFrpjpqZJJN0IDByPb7L4E2siLkZiN55tU3mjrtwZX575Pjj4YCj
 zZkvLLkaOndCK7Y23Tc07ea3xsLMJeYFvt/HZPwSgInMRf/A3uX8ftmwc0JEYkepYK0q+BKJS
 4U809AyWxqlsr9hcdxuKajspGnCx1VqevlchlWojnoPFBa/fZX9BqlqqJbWFruCosQ65S2G0L
 a15T7X7Cb2BA/V3ixjYaOBjLotWDLwRkGW0JrVYWFKGWp3zJ3mULuaQ4lCm/nUIMsjQBCYxXg
 tdvFeUajF6hUQTRydswSti2wpKbI+Qw8apQ8HXUBAZuQPFFU+WanO6kx/qp5s0R8HwMlmWs3U
 MQyGplMZe4VywjCfWrDSTM1hkyhrRm2ApehwkyPsyQ2eiTnG57V1v9jUS/q8fL3/ffYEF11ok
 we8iuJdfd36o5T7xq5cQFIDkxc9jA1t98+631qEmb3+vjERokcBE/L6q+hW0WX+k1VNgNA9RL
 vedJ7o10nH9wpgn/wGRpVFTlaFWoLEEPQUGvYGqNWJr3ZLlfoZi8keBy6Ae6eFeDSedpYEA/n
 OpzsLt36RRtu1lO9Ngce/ixh0V4DzUIukTbXLKZS/Zl2V3kD6JLvLNQ1wvwO3dZyJSPPisSXp
 CfEPmMsqRUOrNQDIs
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 29 Jan 2020 14:42:26 +0100 Robert Pluim <rpluim@HIDDEN> wrote:

>>>>>> On Wed, 29 Jan 2020 14:33:20 +0100, Stephen Berman
>> <stephen.berman@HIDDEN> said:
>
>     Stephen> On Wed, 29 Jan 2020 14:25:10 +0100 Robert Pluim
>     Stephen> <rpluim@HIDDEN> wrote:
>     >>>>>>> On Wed, 29 Jan 2020 14:07:16 +0100, Stephen Berman
>     >> <stephen.berman@HIDDEN> said:
>     Stephen> I see this too.  The patch below appears to fix it for me, b=
ut I don't
>     Stephen> know if it's just a workaround.
>     >>=20
>     >> That can=CA=BCt be right. 'gnus-buffers' already checks 'buffer-li=
ve-p'.
>
>     Stephen> Hm, odd, because when I stepped through gnus-clear-system, t=
he error
>     Stephen> occurred here:
>
>     Stephen>    ;; Kill Gnus buffers.
>     Stephen>    (do-auto-save t)
>     Stephen>    (dolist (buffer (gnus-buffers))
>     Stephen>      (with-current-buffer buffer   <=3D=3D=3D
>
>     Stephen> and after adding the buffer-live-p check before that line, t=
he error no
>     Stephen> longer occurs.
>
> So one of Gnus' buffers is being killed in the middle of that
> dolist. The only way I can see that happening is if the same buffer is
> in there twice, in which case the following would work as well.
>
> diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
> index 6df26b4af8..2fc14c5fff 100644
> --- a/lisp/gnus/gnus.el
> +++ b/lisp/gnus/gnus.el
> @@ -671,7 +671,7 @@ gnus-kill-buffer
>=20=20
>  (defun gnus-buffers ()
>    "Return a list of live Gnus buffers."
> -  (setq gnus-buffers (seq-filter #'buffer-live-p gnus-buffers)))
> +  (setq gnus-buffers (delete-dups (seq-filter #'buffer-live-p gnus-buffe=
rs))))
>=20=20
>  (defalias 'gnus-prune-buffers #'gnus-buffers)

Yes, that seems to fix the problem too.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 13:42:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 08:42:36 2020
Received: from localhost ([127.0.0.1]:33351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwnc3-0008Bh-Po
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:42:35 -0500
Received: from mail-wm1-f43.google.com ([209.85.128.43]:36235)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iwnc2-0008BU-4t
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:42:34 -0500
Received: by mail-wm1-f43.google.com with SMTP id p17so6521599wma.1
 for <39344 <at> debbugs.gnu.org>; Wed, 29 Jan 2020 05:42:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=mTcj10bYXQMMAi+Clu/MGNNmn4S2zrEXgllnabzbr+s=;
 b=ERuoOjZ+Uktl2hCgW84hYJihJlX+jg2DvGFUxaX0VBQunOjaqhsjI+sr1sSS7PHwLu
 Dji37K4BUGlk72z7yyN4KwaTAdIpdkOd2o+01/OPAoOfwmxqz+1yUW/UXTaBJ9ZCWFjr
 y43LoZL70QpZPRLmw3D4Ykydc7Hna7J2H+NhnwNi9270ivSodV46NL8P8u1UBdU22hdr
 n8v6IxZpXcXizeolE9WCjlGDmbUbpIAOrjgKlEChhqZJKLcmE0xhqsu1uQQqPbQYMfYm
 G3lWN8n8H88nhZKYTROYvVXKfZQU8n+bph6rjUHaIlxHAMXYCeezy06IFAc8yswA0H5S
 HlFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=mTcj10bYXQMMAi+Clu/MGNNmn4S2zrEXgllnabzbr+s=;
 b=jnoMbp5lmSh9HGY4icP+dKBFgu/snYb2QmjKK8rv9GT35kQOEn5CLlrnozcea1wven
 GcjPTDaEwxbb4vpk9DW0fQ9Ywm0+F8NGpID7HYTp2xZQ8UtsXD8us7+lAYJTrPfJtGfo
 6UBCkHW3Xt3cxsYJETHsz42j2GWXA+rEzMgKj75YLVSj7nzOgAhgN1NbM4El/L7ckpBd
 KDqlyco2180Lb2Ib38YApmLFAFlv5thTleq8L2dK/vvw+nuf4jhidqPbcXOHKbquoHIY
 qImim8Wb6V8EhDywM7ZaFz9nOYIfli/gNHE56VOZxCBnZrSvZKgX05HyYMrmVmqY8SGp
 k/7A==
X-Gm-Message-State: APjAAAXvzDTorYTnqtE09yXT7u1cjkFBB0ua2TEBASjFwDBf3aHkYjf3
 ednpL9w2hjnfsPyilf3xhtmAn7Wy
X-Google-Smtp-Source: APXvYqx7VBOTUKD7juRK0cRitMQ/ZaEmXyKCx+1jwXKhdw5uEI5zKMLn2yAYHTK30g241W4bT1Yueg==
X-Received: by 2002:a05:600c:2c44:: with SMTP id
 r4mr11441023wmg.140.1580305347991; 
 Wed, 29 Jan 2020 05:42:27 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id q11sm2929415wrp.24.2020.01.29.05.42.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Jan 2020 05:42:27 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN> <87h80e9ylb.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 14:42:26 +0100
In-Reply-To: <87h80e9ylb.fsf@HIDDEN> (Stephen Berman's message of "Wed, 29
 Jan 2020 14:33:20 +0100")
Message-ID: <m28slqgz0d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 29 Jan 2020 14:33:20 +0100, Stephen Berman <stephen.berman@gm=
x.net> said:

    Stephen> On Wed, 29 Jan 2020 14:25:10 +0100 Robert Pluim <rpluim@gmail.=
com> wrote:
    >>>>>>> On Wed, 29 Jan 2020 14:07:16 +0100, Stephen Berman
    >> <stephen.berman@HIDDEN> said:
    Stephen> I see this too.  The patch below appears to fix it for me, but=
 I don't
    Stephen> know if it's just a workaround.
    >>=20
    >> That can=CA=BCt be right. 'gnus-buffers' already checks 'buffer-live=
-p'.

    Stephen> Hm, odd, because when I stepped through gnus-clear-system, the=
 error
    Stephen> occurred here:

    Stephen>    ;; Kill Gnus buffers.
    Stephen>    (do-auto-save t)
    Stephen>    (dolist (buffer (gnus-buffers))
    Stephen>      (with-current-buffer buffer   <=3D=3D=3D

    Stephen> and after adding the buffer-live-p check before that line, the=
 error no
    Stephen> longer occurs.

So one of Gnus' buffers is being killed in the middle of that
dolist. The only way I can see that happening is if the same buffer is
in there twice, in which case the following would work as well.

diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index 6df26b4af8..2fc14c5fff 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -671,7 +671,7 @@ gnus-kill-buffer
=20
 (defun gnus-buffers ()
   "Return a list of live Gnus buffers."
-  (setq gnus-buffers (seq-filter #'buffer-live-p gnus-buffers)))
+  (setq gnus-buffers (delete-dups (seq-filter #'buffer-live-p gnus-buffers=
))))
=20
 (defalias 'gnus-prune-buffers #'gnus-buffers)
=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 13:33:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 08:33:31 2020
Received: from localhost ([127.0.0.1]:33347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwnTG-0007yi-SC
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:33:31 -0500
Received: from mout.gmx.net ([212.227.17.20]:32855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iwnTF-0007yW-Cx
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:33:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1580304802;
 bh=Fdeq6irhvJG/IxWFHK8rMYu47/spcw58SshuZJQX5TQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=f0JpDvuVBUS4JPWGrpIZfB/jIoxkKy95TxsVBMivJPwqkteekXBQAddK84pXxjpBs
 4/xb7ClTYc6XqdWfgA35CfI3Bs8pIQv2IbEl0fNMGu0w2H6LHrGO9enDOkrElol9ki
 0m1kZITMm+Qo4zI3Bo5x3RwH6NBW/ngRYyd3eFa0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([178.9.100.209]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N6sit-1jdwrd1dh1-018I8G; Wed, 29
 Jan 2020 14:33:22 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
 <m2ftfygzt5.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 14:33:20 +0100
In-Reply-To: <m2ftfygzt5.fsf@HIDDEN> (Robert Pluim's message of "Wed, 29
 Jan 2020 14:25:10 +0100")
Message-ID: <87h80e9ylb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:FlkJNYjQOhZCRtffOnjY4GCr4gG6AU+5Xk6ejia6hW8HaRD/RPC
 ZC7jzR2DloXvsPMhNLqjxiASmubH4Jj9/AFUxeTHqLTa1P0ploNVMvZPvsXY/rlaMWS7DtK
 FKEadY9mfGj4wm/caxbC7+AgPGvcqjyInfzSTpPfICrZJCeuc2Ghy0TOigQmqM0iurfSqHk
 vv0cNxDVhdK8tujYm7ppw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:e87i+CW9yPU=:N7P7dotY/f6jyAMmjfZiUA
 usudiXxoorKusE2ZLEhy013W8zKKwhPJ4aNe5bWg4uSGP79nuLQtWwqg68w5WFaxqKOclNPsL
 PeIxYMYXsKwIHaCS18fg6TZc096enPVr+VBk8PCYM8dU6ek6HFSvbqqLB01HoVqi3ubxqKGIo
 PIV1oHgtqRSTZaeZ/4ICOxe8eOonw9WGt77J6GpeoxQC1NlJQ0TnmPAWtHNt3OHYsgbKcFWhZ
 SlC53rZAo4gLrPHQIE1q9dXWWXNwN2R9R8aOFTZzesLXl0jwidLOZGrHtg2wmxHGEXXlHRYrU
 2zlo/f/k+1I3eXSbF8TIWFlo4ZlFZLsCiajNPnA+KUiP3ORx8wHNSFPNiQGYqEYzBg6oaCfKv
 lNWW1kQtNqsStdeKKcqRi4dA/JYio402lI35cVWHkFUiXZKA0xmem+qrErpMAXW0pB+qUCcV+
 zLZ+dNM5jEcOrPmtx3TLd7ZxYfaU91hyd+zevCoUOq+zn6jrEC6wZltD03aUqFa8pdZdrv4dA
 ng8Vpw4EL9iGLcc7EzsmrVWzQN+7BB+JZSbPlF46RdN0mO44VELWCqqA1IjsRhowDX1kbROVB
 qMfdkh/rWUJSj1CC+Df/nVeTyID84vO22AcISxh1qBewoe4bjwohhiQxyx2ujectmJE3Bofe7
 Uh5JMzFFg7wC5JxaQO7oYsKxwwpWtx0L6W2XjXlKBtcO3ibPYW8gREb+q71gooGqCc2olgZh0
 +UV0EpVXRPMO1obqbeNrbYqVjoQ8r7blsyqd6MHMYKm/0ef2rctpl6qVMg7SeUbUeNgXDO8ep
 eCL6IvZvWlh3nrevx0SEclFvfG14k6epdYArIj369RLysqx4CafU9x7vEFU8qUuyFUaFhPOX9
 N6KTn6tnCPXcmbbuOsCpCjWkXzcxAPkHCKyM7C6WLDssDX8J9YYUMUCojVRS/EDT83mmbPZ30
 aoefcrgKEjRal52v2iLbkZHOQDNx5s9fREjm+WPSam8+9AJbggOM365Phz55OjmlFSYB9/+QY
 31z6Nb1y1kZpkFp3boRK1hNfPrw4/bxHvFaLeuJyRFKsGV4tVC99iALFdCF4Q70aB0PAmprq0
 luOOKzFs0cMu7JI35spL8FOPUc7O9E+9iF6zjfwPi7qhDxvDgv/ogr+lvxWT9tG4MasE+opaR
 12UowE9hl7iYNXSeVQ/AWB68SxYSgMdYcuYXcKLDb7uKU88vQdMxgO0qR3R2Qhu/zyrMom/O8
 NlJ34PsxBrTdsyh9b
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 29 Jan 2020 14:25:10 +0100 Robert Pluim <rpluim@HIDDEN> wrote:

>>>>>> On Wed, 29 Jan 2020 14:07:16 +0100, Stephen Berman
> <stephen.berman@HIDDEN> said:
>     Stephen> I see this too.  The patch below appears to fix it for me, b=
ut I don't
>     Stephen> know if it's just a workaround.
>
> That can=CA=BCt be right. 'gnus-buffers' already checks 'buffer-live-p'.

Hm, odd, because when I stepped through gnus-clear-system, the error
occurred here:

   ;; Kill Gnus buffers.
   (do-auto-save t)
   (dolist (buffer (gnus-buffers))
     (with-current-buffer buffer   <=3D=3D=3D

and after adding the buffer-live-p check before that line, the error no
longer occurs.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 13:25:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 08:25:20 2020
Received: from localhost ([127.0.0.1]:33343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwnLM-0007lx-1o
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:25:20 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:35816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iwnLK-0007lk-6X
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:25:18 -0500
Received: by mail-wm1-f49.google.com with SMTP id b17so2131862wmb.0
 for <39344 <at> debbugs.gnu.org>; Wed, 29 Jan 2020 05:25:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=W6cZ5+izz9xqGDRC7TzNCY1XPeT8SYecJ/xte3muWiw=;
 b=i6LjSZHn2zzwjAXczUqJStKsGIDD2gGWzSKLgaTtyF1N+7Fi3Dem7y/BdhjScIfO2Z
 QdiCQKvE882hb6paBw6MR0mAJvV/t2EZwgzSCz5VJAmkIFlECLO81CsD0v0sWDqkB/mc
 RT90FJ1pcAm4jT+pgwjA3z5v9P/XAD/yK6geHl7+vRDcLnXkVGbzasUA6G268qUh99Vy
 hyaHUH7ijJq+ly6+vp5tDhEM29jqMTL+lIMwIyZjai9h7gT72oZLYMcof+fBYYmaBu+J
 TrQTgHyNDzDJI0qLytRPS+bBKnV5ZRll+fgC/4PMDHtqoiom/58xdr0/tI5of0hQIM4u
 OP1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=W6cZ5+izz9xqGDRC7TzNCY1XPeT8SYecJ/xte3muWiw=;
 b=TDjyNsf9oDv5WwH5K4xvUhqU24JZiBD/U2fZVep1635ya2fSuXcCAm1y9J6KOOtQ7m
 78DtpnazaUqKD/dRXvM+sJze0RYck1WFkFmEU2TOI6J3Gf1xzR4lffImeKFE+geRO7MZ
 2FajC7ED1wWCOWmwu00/YbQx63tM2CWOGbfK43oOzway1+uoSWplFXtI7vmGi01wL5y0
 oOzWTQHuHI9aDx5XfAPuxoiAEEx+OWdqLmCAUWUirYtmFDjdDOZEN07XB27lFE+Z0unG
 ou0+3qJqXZp1UhKBW7mqCBbeBf34c3AeBvHAmpTkcWMI1YflPY3PQuzVrdCPvBPg9zE1
 AtUw==
X-Gm-Message-State: APjAAAXGSuDvjYU4XFZdVVaVkka2MmtYKus89u67HY3x61bNHIbWEQkf
 5b+E4LqXIuVlz4jH8fdPDTF5BFzy
X-Google-Smtp-Source: APXvYqzChNxF/dwoTUIA0pW6DkAzN0sG2YG9dgrK/4dDaWY5akzZKJdZ09Cd0r8KC0Q8+nUIq08sTA==
X-Received: by 2002:a7b:ce84:: with SMTP id q4mr7675370wmj.57.1580304311979;
 Wed, 29 Jan 2020 05:25:11 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id x10sm2755341wrv.60.2020.01.29.05.25.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Jan 2020 05:25:11 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN> <87lfpq9zsr.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 14:25:10 +0100
In-Reply-To: <87lfpq9zsr.fsf@HIDDEN> (Stephen Berman's message of "Wed, 29
 Jan 2020 14:07:16 +0100")
Message-ID: <m2ftfygzt5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39344
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Sam Steingold <sds@HIDDEN>,
 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 29 Jan 2020 14:07:16 +0100, Stephen Berman <stephen.berman@gm=
x.net> said:
    Stephen> I see this too.  The patch below appears to fix it for me, but=
 I don't
    Stephen> know if it's just a workaround.

That can=CA=BCt be right. 'gnus-buffers' already checks 'buffer-live-p'.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at 39344 <at> debbugs.gnu.org:


Received: (at 39344) by debbugs.gnu.org; 29 Jan 2020 13:07:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 08:07:27 2020
Received: from localhost ([127.0.0.1]:33336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwn43-0007KB-EK
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:07:27 -0500
Received: from mout.gmx.net ([212.227.15.18]:34147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iwn41-0007Jx-4C
 for 39344 <at> debbugs.gnu.org; Wed, 29 Jan 2020 08:07:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1580303238;
 bh=66AFNBp7NIc28VMSCTlokTCGTFKXzx0FgVseC8rzJ/s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date;
 b=NkPccu+xB67yaeP7ZDbmEddhS7jOR/wy3wI5XkU9HGCgmF6RoGvFyJuI+eDneCHJg
 /+xYHaY6hJMI5vjxFY/orfvRdJ5DmxCmt1belLlvpx/hp+KoUTAwkTMARNlFdaWna+
 zXQ2QBYy2sv9mzPZGeK63lLrDC8VRZC3746VZh0o=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([178.9.100.209]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1McpJg-1jWOjE26hG-00ZtFm; Wed, 29
 Jan 2020 14:07:18 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer
References: <871rria3fp.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 14:07:16 +0100
Message-ID: <87lfpq9zsr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:aX04OnVwy+2bGmoMbyH7bFeaW7x9nWj5gpnM5n7Lzp97rhEjoi+
 l1E38ZCfhHFJyprXgjRDDR8duRU+aUPKg0UwcVl3WqDyfzuXGI/+afx+JzuiEJc6nVl/2Mh
 gTUAoSWOUmydWia549nAn8Xk9xBO7+jYKNO0UGFUwnv5PqzERRMLPWIAivW+XfiRDViPRqd
 Sut4xLu/SaGlynfcYgFpQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:4B5EuLsTAks=:v3iF2Ik/IRQPSL02rSax+7
 drnUNhHrMh2zovferzmRB+DIjlu9bi4WeScReJC8052icDE7yVW+0jprWv6Szk2DJtwIxRaUJ
 GGT8AX7+JWvB7ctDrgM5LH9F5LMm8/7N/lnq54q55PGeIP1Z7/yFGlQgOc7PMYcXSgZT11P+i
 e7rbOXxN8bTCUdvMUivoKWg+/Q0mCdY28T/ql1HtuvyL1VRhwkjT1wbXbix3gedo2aoRqjle2
 brk51+C+UBRvoAH0tjnJQRpmtUfV9pM6huTY+zb/WkPIs859p7iJxIPbHuGnNRYzgx/lugtPA
 aV7MRQifFFPAZZR0Mvbg0gdcLnL7DNMj2fZD6c67YOoO2lTQ1jjg4+ZNa2hZJGUfphFmHEy0L
 0oU39uqurbo5Ubpr4M0Pk6d3GxmLvOWnZjZUd4VNUC3XPDiP+9M7cEn451ye+R/AzCotwm6ys
 n7G8S6dfiXIDyeMHxVeaGXp2BCRKGOJ/7sNtmR7UxCFB99iSHFT4QRdM5J8tsNh/r0eDffitn
 Qh9UN33s1Mk7hoag6fpC+28jQhSluP74quygzKqw0aT1n3g1su9eyUoq0P8ShN9jMuu+v8L5g
 DYWGlyAUWspcmWQJS2e00Ttt5MmIZ1W5atHDnfwWstzH6IjMo6Q2x3LI4vzQe6jL5mEdoMTsx
 KETUJT4o+aRdRsoCRjgdhFFaLWoWUqFyNL4fxcTlj6Krfph9fLMcBOXvsa5Ok+UJcoAPtkemw
 4GJRSsD7Jc8sz3QLs39dqLTWsm9TG4EJB9p0cjiGRXbP++7dH/hi+icUgR/XcaG6KJEfGebYP
 DK/NOP6+Yb3Wo0hkrSyxna4JJ9IHTOKzoD9BUPB1mKpWG64wrFxNv4KGx+Jj4pMvyjKRSM+NA
 XqU9CEjm7AZsVp3tQ5cNcCNZSjkMd0LQSx2B5JpYvQCXoxqV5JKpjm5WYcLMkcuhfcUTtG0gF
 Da7Q3+fWS26rdHN2VQYciCJkPAhWQ4XeIdwdA5C9Abo4TV7emmqPOW3MJOOZGo/qtIPVkliB7
 J2KQ4xFeAm+ZmZUODkc0Lb94PVXrFtnNlUSdlIX1I1advYf4P+C6m67oXdvQKrHmqQRU3vWIX
 qKHJLZ58Asv4PIb9Uf2ZV5IaE6OE+L3PGaEPMkAMeNUgqoSYyEFbmJXPuI7FwsSuQggLVGJ8L
 3pVi6XsUAYW8lAd9tyUko8CAmb0j9oxfxUCds6bTPTLqCofw5BET5+YbsjtHo/om1P+TyFIPw
 zQEoePLJjXQMDygwt
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39344
Cc: Sam Steingold <sds@HIDDEN>, 39344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Wed, 29 Jan 2020 12:48:42 +0100 Michael Heerdegen <michael_heerdegen@HIDDEN> wrote:

> Hello,
>
> since today (master built) when exiting Gnus I get this error:
>
> Debugger entered--Lisp error: (error "Selecting deleted buffer")
>   set-buffer(#<killed buffer>)
[...]
> Could this be due to
>
> | Make sure that all gnus buffers are killed on exit
> | 5ee3c37634f7f8651b2da1f4b611334a2b146928
> | Author:     Sam Steingold <sds@HIDDEN>
> | AuthorDate: Fri Jan 10 13:34:59 2020 -0500
>
> ?
>
> AFAICT `my-gnus-clear-system-around-ad' is unrelated, it looks like
>
> (defun my-gnus-clear-system-around-ad (f &rest args)
>               (let ((kill-buffer-query-functions kill-buffer-query-functions))
>                 (remove-hook 'kill-buffer-query-functions 'process-kill-buffer-query-function)
>                 (apply f args)))
>
> The problem rather seems to be that the return value of (gnus-buffers)
> contains killed buffers.

I see this too.  The patch below appears to fix it for me, but I don't
know if it's just a workaround.

Steve Berman


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline
Content-Description: gnus-clear-system patch
Content-Transfer-Encoding: quoted-printable

diff --git a/lisp/gnus/gnus-start.el b/lisp/gnus/gnus-start.el
index 1fd2575ea1..5dba7cced7 100644
=2D-- a/lisp/gnus/gnus-start.el
+++ b/lisp/gnus/gnus-start.el
@@ -722,11 +722,12 @@ gnus-clear-system
   ;; Kill Gnus buffers.
   (do-auto-save t)
   (dolist (buffer (gnus-buffers))
-    (with-current-buffer buffer
-      (set-buffer-modified-p nil)
-      (when (local-variable-p 'kill-buffer-hook)
-        (setq kill-buffer-hook nil)))
-    (gnus-kill-buffer buffer))
+    (when (buffer-live-p buffer)
+      (with-current-buffer buffer
+	(set-buffer-modified-p nil)
+	(when (local-variable-p 'kill-buffer-hook)
+	  (setq kill-buffer-hook nil)))
+      (gnus-kill-buffer buffer)))
   ;; Remove Gnus frames.
   (gnus-kill-gnus-frames))


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jan 2020 11:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 06:48:43 2020
Received: from localhost ([127.0.0.1]:33298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwlpq-0003Sk-Nu
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 06:48:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:39962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iwlpo-0003Sc-Kc
 for submit <at> debbugs.gnu.org; Wed, 29 Jan 2020 06:48:41 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43844)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iwlpm-0002Zp-J7
 for bug-gnu-emacs@HIDDEN; Wed, 29 Jan 2020 06:48:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iwlpk-0002lR-Rs
 for bug-gnu-emacs@HIDDEN; Wed, 29 Jan 2020 06:48:38 -0500
Received: from mout.web.de ([212.227.17.12]:37125)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1iwlpk-0002fx-F0; Wed, 29 Jan 2020 06:48:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1580298513;
 bh=PrmjE7WdAMvcZzytR72/rPSpi1sD1qSfn28niArUrqk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:Date;
 b=Y2yak0k1iOa85zCOjheIRD/bwDLnUNym7GWO84t0OQHJBasblQ8SdKC5Ndb4PJEWG
 F/ztFRedYlVp+EmPOjbM07jPsuXGqo39zyH1pobXqs96QmT+pegq+Vz5CeGVGqUvig
 kOLR4kxEfcJVf6F1l7dSW1ZZbekpGcptaglOw5is=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.105.20]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0M4ZPc-1jmX4X237k-00yktT; Wed, 29
 Jan 2020 12:48:33 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Gnus: Selecting deleted buffer
Date: Wed, 29 Jan 2020 12:48:42 +0100
Message-ID: <871rria3fp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:gag/hMG5mErXOtkxyS0G8k92iSrOvkPprkibWWv/8gqHZ3Kgzm1
 DeUSu2omBl5//8uf/LRYRvAn/JNDHH33HPtOYMfvS4BLGcX8G6km+UZ7GZz9YhSb6RG7Bve
 UsF5ew24GTwOlLeZ9Zb9xqTsXFJrvpUmmPgV6i8ZYgpdfFC4e/LzdwyreKVrz9SHiORkwwU
 YXfqjXpQwN+9lmO7dr/tw==
X-UI-Out-Filterresults: notjunk:1;V03:K0:8bMjVg6K0f0=:UxSoqTsmywEedHRGy9pf+l
 qKgxN+MjzHlB8zC/xYRGQLak/1WInCGcylo1Xy2pgktBakJyucEucXu/AkU5hlcm5ppNA26pe
 XzE7mhDvTqFKe6hzELPY1RCGyn7PP1TBnovIdpEBA46+0n0E2Z3ASSCfIk1HenrpazESWIZp5
 UKIPevZC7SiNi/ZHhy+PMstHdHCVuq80DRV2oolSQqnOj+xNaAAK3Dx6hNRKlWlhvgZz8sU/X
 i9n0jSZTgqaGu5SvrIzCMw2IMUkqV5dIqquwbiuRGX4uEMPmB0D7ZJXyFG+mIp/6WKBBTD74U
 gV7oiDNtHEeWXVEhnlm6LGoF5flSarWG9fwjZW9uZI6GM+BVKm6+FuUgYW04FCilBHlPV5HC3
 AS/hToaEqterZoKdBx1AVLYA65JKIbTVGiKr0B+zbmKDQfCglOlTD1jS1qFwe+SMiV3vWoiOd
 0nnM2pGWQzd4UnP+1uyvzFkFdrtJZQ8x4If24fmRwlPJ0Xvxp3CorBpX9XExQuTrKBWGvzfaN
 PtaU25vophMbfqHmkC/+R7GTSngJU1/242nRWSOP+FFxgZFUXAgHy0zU6a1OIfBAtp6mGqHwI
 YIDCgVzV3qSyZqRY0egImCrjWvFVmrwrvMJPx3O8VEOrpqjRT5ZGFVDiwbTiPa+CahZVrFQJ+
 yRxeZs6xQBjbmUEzj2WoF5CbH4pxwoKd/vbigyJ0c6TMyB0zdVRleMSxcWpAuGtXYje4Wyl99
 bF1WBlKvPWW0jo6IAM1Z3VAGpcwIQExfKfM2vYtAzuXj7WKto7Ik9WQJA2I0KYp+kvtCGihKv
 VYK3QbbL0kahzIxyauw39At11wBYTYIP2VEhCx4iXxdlHUAuTqtsxBDZaeL42YmeZ+Jhg940V
 5tjPSOizEZ8wSkaPrCOrX2LtED6ihom/U3CUJ+6DcltawUrQONsMGkPOJb1/JmTbXz1LHYGIE
 ZXziccjwBU4gWgOgmvBBxXcWRPShvWkdmn0JXs9lSu+SavO53VVE+0XzcI06nXeOPiFJY5QHT
 xPP4b8s5mRNGfe5bSsP1lsB8GUZSuYB0ipNehAj36oWqcKTZyMYOB+jDt+2L8Cb5y/7x5/Apr
 mwGgjYADzVYyNAMCRFFW9ADjYgae1BOlMk0mBoBYHoEH3mhVzkTPIEdL2kB8KfPhGkKLpc/nJ
 Y/SCUimDUCtz15B84ja1q9SygAhtq9LBZnrO8WIdg0p2nJVezx9iu8ea78s7mjy13v4pqCQTn
 9wEtGFfkcgujcT4+A
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.12
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, since today (master built) when exiting Gnus I get
 this error: Debugger entered--Lisp error: (error "Selecting deleted buffer")
 set-buffer(#<killed buffer>) (save-current-buffer (set-buffer buffer)
 (set-buffer-modified-p
 nil) (if (local-variable-p 'kill-buffer-ho [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael_heerdegen[at]web.de)
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=michael_heerdegen%40web.de; ip=209.51.188.17; r=debbugs.gnu.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
Cc: Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Hello,

since today (master built) when exiting Gnus I get this error:

Debugger entered--Lisp error: (error "Selecting deleted buffer")
  set-buffer(#<killed buffer>)
  (save-current-buffer (set-buffer buffer) (set-buffer-modified-p nil) (if =
(local-variable-p 'kill-buffer-hook) (progn (setq kill-buffer-hook nil))))
  (let ((buffer (car --dolist-tail--))) (save-current-buffer (set-buffer bu=
ffer) (set-buffer-modified-p nil) (if (local-variable-p 'kill-buffer-hook) =
(progn (setq kill-buffer-hook nil)))) (let ((buf buffer)) (if (gnus-buffer-=
live-p buf) (progn (kill-buffer buf) (gnus-prune-buffers)))) (setq --dolist=
-tail-- (cdr --dolist-tail--)))
  (while --dolist-tail-- (let ((buffer (car --dolist-tail--))) (save-curren=
t-buffer (set-buffer buffer) (set-buffer-modified-p nil) (if (local-variabl=
e-p 'kill-buffer-hook) (progn (setq kill-buffer-hook nil)))) (let ((buf buf=
fer)) (if (gnus-buffer-live-p buf) (progn (kill-buffer buf) (gnus-prune-buf=
fers)))) (setq --dolist-tail-- (cdr --dolist-tail--))))
  (let ((--dolist-tail-- (gnus-buffers))) (while --dolist-tail-- (let ((buf=
fer (car --dolist-tail--))) (save-current-buffer (set-buffer buffer) (set-b=
uffer-modified-p nil) (if (local-variable-p 'kill-buffer-hook) (progn (setq=
 kill-buffer-hook nil)))) (let ((buf buffer)) (if (gnus-buffer-live-p buf) =
(progn (kill-buffer buf) (gnus-prune-buffers)))) (setq --dolist-tail-- (cdr=
 --dolist-tail--)))))
  (closure (nnmail-spool-file t) nil "Clear all variables and buffers." (le=
t ((variables (remove 'gnus-format-specs gnus-variable-list))) (while varia=
bles (set (car variables) nil) (setq variables (cdr variables)))) (setq gnu=
s-list-of-killed-groups nil gnus-have-read-active-file nil gnus-agent-cover=
ed-methods nil gnus-agent-file-loading-local nil gnus-agent-file-loading-ca=
che nil gnus-server-method-cache nil gnus-newsrc-alist nil gnus-group-list =
nil gnus-newsrc-hashtb nil gnus-killed-list nil gnus-zombie-list nil gnus-k=
illed-hashtb nil gnus-active-hashtb nil gnus-moderated-hashtb nil gnus-desc=
ription-hashtb nil gnus-current-headers nil gnus-thread-indent-array nil gn=
us-newsgroup-headers nil gnus-newsgroup-name nil gnus-server-alist nil gnus=
-group-list-mode nil gnus-opened-servers nil gnus-group-mark-positions nil =
gnus-newsgroup-data nil gnus-newsgroup-unreads ...) (gnus-shutdown 'gnus) (=
and gnus-current-startup-file (get-file-buffer gnus-current-startup-file) (=
kill-buffer (get-file-buffer gnus-current-startup-file))) (gnus-dribble-cle=
ar) (if (get-file-buffer (gnus-newsgroup-kill-file nil)) (progn (kill-buffe=
r (get-file-buffer (gnus-newsgroup-kill-file nil))))) (let ((buf nntp-serve=
r-buffer)) (if (gnus-buffer-live-p buf) (progn (kill-buffer buf) (gnus-prun=
e-buffers)))) (do-auto-save t) (let ((--dolist-tail-- (gnus-buffers))) (whi=
le --dolist-tail-- (let ((buffer (car --dolist-tail--))) (save-current-buff=
er (set-buffer buffer) (set-buffer-modified-p nil) (if (local-variable-p 'k=
ill-buffer-hook) (progn (setq kill-buffer-hook nil)))) (let ((buf buffer)) =
(if (gnus-buffer-live-p buf) (progn (kill-buffer buf) (gnus-prune-buffers))=
)) (setq --dolist-tail-- (cdr --dolist-tail--))))) (gnus-kill-gnus-frames))=
()
  apply((closure (nnmail-spool-file t) nil "Clear all variables and buffers=
." (let ((variables (remove 'gnus-format-specs gnus-variable-list))) (while=
 variables (set (car variables) nil) (setq variables (cdr variables)))) (se=
tq gnus-list-of-killed-groups nil gnus-have-read-active-file nil gnus-agent=
-covered-methods nil gnus-agent-file-loading-local nil gnus-agent-file-load=
ing-cache nil gnus-server-method-cache nil gnus-newsrc-alist nil gnus-group=
-list nil gnus-newsrc-hashtb nil gnus-killed-list nil gnus-zombie-list nil =
gnus-killed-hashtb nil gnus-active-hashtb nil gnus-moderated-hashtb nil gnu=
s-description-hashtb nil gnus-current-headers nil gnus-thread-indent-array =
nil gnus-newsgroup-headers nil gnus-newsgroup-name nil gnus-server-alist ni=
l gnus-group-list-mode nil gnus-opened-servers nil gnus-group-mark-position=
s nil gnus-newsgroup-data nil gnus-newsgroup-unreads ...) (gnus-shutdown 'g=
nus) (and gnus-current-startup-file (get-file-buffer gnus-current-startup-f=
ile) (kill-buffer (get-file-buffer gnus-current-startup-file))) (gnus-dribb=
le-clear) (if (get-file-buffer (gnus-newsgroup-kill-file nil)) (progn (kill=
-buffer (get-file-buffer (gnus-newsgroup-kill-file nil))))) (let ((buf nntp=
-server-buffer)) (if (gnus-buffer-live-p buf) (progn (kill-buffer buf) (gnu=
s-prune-buffers)))) (do-auto-save t) (let ((--dolist-tail-- (gnus-buffers))=
) (while --dolist-tail-- (let ((buffer (car --dolist-tail--))) (save-curren=
t-buffer (set-buffer buffer) (set-buffer-modified-p nil) (if (local-variabl=
e-p ...) (progn ...))) (let ((buf buffer)) (if (gnus-buffer-live-p buf) (pr=
ogn ... ...))) (setq --dolist-tail-- (cdr --dolist-tail--))))) (gnus-kill-g=
nus-frames)) nil)
  (let ((kill-buffer-query-functions kill-buffer-query-functions)) (remove-=
hook 'kill-buffer-query-functions 'process-kill-buffer-query-function) (app=
ly f args))
  my-gnus-clear-system-around-ad((closure (nnmail-spool-file t) nil "Clear =
all variables and buffers." (let ((variables (remove 'gnus-format-specs gnu=
s-variable-list))) (while variables (set (car variables) nil) (setq variabl=
es (cdr variables)))) (setq gnus-list-of-killed-groups nil gnus-have-read-a=
ctive-file nil gnus-agent-covered-methods nil gnus-agent-file-loading-local=
 nil gnus-agent-file-loading-cache nil gnus-server-method-cache nil gnus-ne=
wsrc-alist nil gnus-group-list nil gnus-newsrc-hashtb nil gnus-killed-list =
nil gnus-zombie-list nil gnus-killed-hashtb nil gnus-active-hashtb nil gnus=
-moderated-hashtb nil gnus-description-hashtb nil gnus-current-headers nil =
gnus-thread-indent-array nil gnus-newsgroup-headers nil gnus-newsgroup-name=
 nil gnus-server-alist nil gnus-group-list-mode nil gnus-opened-servers nil=
 gnus-group-mark-positions nil gnus-newsgroup-data nil gnus-newsgroup-unrea=
ds ...) (gnus-shutdown 'gnus) (and gnus-current-startup-file (get-file-buff=
er gnus-current-startup-file) (kill-buffer (get-file-buffer gnus-current-st=
artup-file))) (gnus-dribble-clear) (if (get-file-buffer (gnus-newsgroup-kil=
l-file nil)) (progn (kill-buffer (get-file-buffer (gnus-newsgroup-kill-file=
 nil))))) (let ((buf nntp-server-buffer)) (if (gnus-buffer-live-p buf) (pro=
gn (kill-buffer buf) (gnus-prune-buffers)))) (do-auto-save t) (let ((--doli=
st-tail-- (gnus-buffers))) (while --dolist-tail-- (let ((buffer (car --doli=
st-tail--))) (save-current-buffer (set-buffer buffer) (set-buffer-modified-=
p nil) (if (local-variable-p ...) (progn ...))) (let ((buf buffer)) (if (gn=
us-buffer-live-p buf) (progn ... ...))) (setq --dolist-tail-- (cdr --dolist=
-tail--))))) (gnus-kill-gnus-frames)))
  apply(my-gnus-clear-system-around-ad (closure (nnmail-spool-file t) nil "=
Clear all variables and buffers." (let ((variables (remove 'gnus-format-spe=
cs gnus-variable-list))) (while variables (set (car variables) nil) (setq v=
ariables (cdr variables)))) (setq gnus-list-of-killed-groups nil gnus-have-=
read-active-file nil gnus-agent-covered-methods nil gnus-agent-file-loading=
-local nil gnus-agent-file-loading-cache nil gnus-server-method-cache nil g=
nus-newsrc-alist nil gnus-group-list nil gnus-newsrc-hashtb nil gnus-killed=
-list nil gnus-zombie-list nil gnus-killed-hashtb nil gnus-active-hashtb ni=
l gnus-moderated-hashtb nil gnus-description-hashtb nil gnus-current-header=
s nil gnus-thread-indent-array nil gnus-newsgroup-headers nil gnus-newsgrou=
p-name nil gnus-server-alist nil gnus-group-list-mode nil gnus-opened-serve=
rs nil gnus-group-mark-positions nil gnus-newsgroup-data nil gnus-newsgroup=
-unreads ...) (gnus-shutdown 'gnus) (and gnus-current-startup-file (get-fil=
e-buffer gnus-current-startup-file) (kill-buffer (get-file-buffer gnus-curr=
ent-startup-file))) (gnus-dribble-clear) (if (get-file-buffer (gnus-newsgro=
up-kill-file nil)) (progn (kill-buffer (get-file-buffer (gnus-newsgroup-kil=
l-file nil))))) (let ((buf nntp-server-buffer)) (if (gnus-buffer-live-p buf=
) (progn (kill-buffer buf) (gnus-prune-buffers)))) (do-auto-save t) (let ((=
--dolist-tail-- (gnus-buffers))) (while --dolist-tail-- (let ((buffer (car =
--dolist-tail--))) (save-current-buffer (set-buffer buffer) (set-buffer-mod=
ified-p nil) (if (local-variable-p ...) (progn ...))) (let ((buf buffer)) (=
if (gnus-buffer-live-p buf) (progn ... ...))) (setq --dolist-tail-- (cdr --=
dolist-tail--))))) (gnus-kill-gnus-frames)) nil)
  gnus-clear-system()
  gnus-group-exit()
  funcall-interactively(gnus-group-exit)
  call-interactively(gnus-group-exit nil nil)
  command-execute(gnus-group-exit)

Could this be due to

| Make sure that all gnus buffers are killed on exit
| 5ee3c37634f7f8651b2da1f4b611334a2b146928
| Author:     Sam Steingold <sds@HIDDEN>
| AuthorDate: Fri Jan 10 13:34:59 2020 -0500

?

AFAICT `my-gnus-clear-system-around-ad' is unrelated, it looks like

--8<---------------cut here---------------start------------->8---
(defun my-gnus-clear-system-around-ad (f &rest args)
              (let ((kill-buffer-query-functions kill-buffer-query-function=
s))
                (remove-hook 'kill-buffer-query-functions 'process-kill-buf=
fer-query-function)
                (apply f args)))
--8<---------------cut here---------------end--------------->8---

The problem rather seems to be that the return value of (gnus-buffers)
contains killed buffers.

TIA,

Michael.


In GNU Emacs 28.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.13, c=
airo version 1.16.0)
 of 2020-01-29 built on drachen
Repository revision: c7e3568e9e62146ee68cb97ca970e03576889a28
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12006000
System Description: Debian GNU/Linux bullseye/sid





Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39344; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Feb 2020 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.